{{ 'component-image-with-text.css' | asset_url | stylesheet_tag }}

{%- style -%}
    #{{ section.id }}_section {
     background-color: {{ section.settings.bg_color }};
      padding-top: {{ section.settings.padding_top}}px;
      padding-bottom: {{ section.settings.padding_bottom}}px;
      margin-top: {{ section.settings.margin_top}}px;
      margin-bottom: {{ section.settings.margin_bottom}}px;
  }

  .btn.btn-link{
    cursor:pointer;
    font-size: 20px;
    color: #3cf084;
    background: #014550;
    padding-left: 20px!important;
    padding: 5px 20px 7px;
    border-radius: 44px;
    border: 1px solid #014550;
    margin-top: 30px;
  }
  #{{ section.id }}_section .sec-title{
    text-align: center;
    font-family: 'FinancierDisplay';
    font-size: 60px;
    line-height: 62px;
    font-weight: 300;
    color: var(--color-title);
  }
  #{{ section.id }}_section .title{
    font-weight: 500;
    font-size: 30px;
    line-height: 34px;
    color: #014550;
    text-align: left;
  }

  #{{ section.id }}_section .flex-row .content-wrap{
    padding-left :   80px ;
  }
  #{{ section.id }}_section .flex-row-reverse .content-wrap{
    padding-right :   80px ;
  }


  @media only screen and (max-width: 999px){
    #{{ section.id }}_section .sec-title{
      font-size:48px;
      padding-bottom: 30px
    }
    #{{ section.id }}_section .description{
      padding: 20px 0px;
      max-width : 500px;
      line-height:25px;
    }
    #{{ section.id }}_section .flex-row-reverse .content-wrap{
      padding-right :   0px ;
    }
  }
  @media only screen and (max-width: 768px){
    .grid-item{
      flex-direction: column !important;
    }
    #{{ section.id }}_section .flex-row .content-wrap{
      padding-left:0px;
    }
  }
{%- endstyle -%}

<div id="{{ section.id }}_section">
  <div class="container">
    <h2 class="sec-title center">{{ section.settings.section_title }}</h2>
    <div class="gird-wrap d-flex flex-column justify-content-center align-item-center">
      {%- for block in section.blocks -%}
        <div
          class="grid-item d-flex justify-content-between align-item-center  {{ block.settings.image_position }}"
          style="padding-top: {{ block.settings.padding_top}}px; padding-bottom : {{ block.settings.padding_bottom}}px"
        >
          <div class="image-wrap width-50 width-mobile-100">
            <img class="width-100" src="{{ block.settings.image |img_url: '2000x' }}" alt="">
          </div>
          <div class="content-wrap width-50 width-mobile-100">
            <h2 class="title margin-0">
              {{ block.settings.title | escape }}
            </h2>
            <p class="description left ">
              {{ block.settings.desc }}
            </p>
            {% if block.settings.btn_url != blank %}
              <a class="btn btn-link" href="{{ block.settings.btn_url }}">
                {{ block.settings.btn_text }}
              </a>
            {% endif %}
          </div>
        </div>
      {%- endfor -%}
    </div>
  </div>
</div>

{% schema %}
{
  "name": "Image Text Grids",
  "class": "section",
  "settings": [
    {
      "type": "text",
      "id": "section_title",
      "label": "Section Title"
    },
    {
      "type": "color",
      "id": "bg_color",
      "label": "Background Color"
    },
    {
      "type": "header",
      "content": "Margin"
    },
    {
      "type": "range",
      "id": "margin_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Top",
      "default": 36
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Bottom",
      "default": 36
    },
    {
      "type": "header",
      "content": "Padding Setting"
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 36
    }
  ],
  "blocks": [
    {
      "type": "gird-item",
      "name": "Grid Item",
      "settings": [
        {
          "type": "header",
          "content": "Image Setting"
        },
        {
          "type": "image_picker",
          "id": "image",
          "label": "t:sections.image-with-text.settings.image.label"
        },
        {
          "type": "select",
          "id": "image_position",
          "options": [
            {
              "value": "flex-row-reverse",
              "label": "Right"
            },
            {
              "value": "flex-row",
              "label": "Left"
            }
          ],
          "label": "Image Position"
        },
        {
          "type": "header",
          "content": "Text Setting"
        },
        {
          "type": "text",
          "id": "title",
          "label": "Title Text"
        },
        {
          "type": "textarea",
          "id": "desc",
          "label": "Description Text"
        },
        {
          "type": "header",
          "content": "Button Setting"
        },
        {
          "type": "text",
          "id": "btn_text",
          "label": "Button Text"
        },
        {
          "type": "url",
          "id": "btn_url",
          "label": "Button URL"
        },
        {
          "type": "header",
          "content": "Padding"
        },
        {
          "type": "range",
          "id": "padding_top",
          "min": 0,
          "max": 200,
          "step": 4,
          "unit": "px",
          "label": "t:sections.all.padding.padding_top",
          "default": 36
        },
        {
          "type": "range",
          "id": "padding_bottom",
          "min": 0,
          "max": 200,
          "step": 4,
          "unit": "px",
          "label": "t:sections.all.padding.padding_bottom",
          "default": 36
        }
      ]
    }
  ],
  "presets": [
    {
      "name": "Image Text Grids"
    }
  ]
}
{% endschema %}
